Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getNetflow({
networkId: "string",
});
export const merakiNetworksNetflowExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_netflow(network_id="string")
pulumi.export("merakiNetworksNetflowExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupNetflow(ctx, &networks.LookupNetflowArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksNetflowExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetNetflow.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksNetflowExample"] = example.Apply(getNetflowResult => getNetflowResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetNetflowArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getNetflow(GetNetflowArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksNetflowExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getNetflow
arguments:
networkId: string
outputs:
merakiNetworksNetflowExample: ${example.item}
Using getNetflow
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getNetflow(args: GetNetflowArgs, opts?: InvokeOptions): Promise<GetNetflowResult>
function getNetflowOutput(args: GetNetflowOutputArgs, opts?: InvokeOptions): Output<GetNetflowResult>def get_netflow(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetNetflowResult
def get_netflow_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetNetflowResult]func LookupNetflow(ctx *Context, args *LookupNetflowArgs, opts ...InvokeOption) (*LookupNetflowResult, error)
func LookupNetflowOutput(ctx *Context, args *LookupNetflowOutputArgs, opts ...InvokeOption) LookupNetflowResultOutput> Note: This function is named LookupNetflow in the Go SDK.
public static class GetNetflow
{
public static Task<GetNetflowResult> InvokeAsync(GetNetflowArgs args, InvokeOptions? opts = null)
public static Output<GetNetflowResult> Invoke(GetNetflowInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetNetflowResult> getNetflow(GetNetflowArgs args, InvokeOptions options)
public static Output<GetNetflowResult> getNetflow(GetNetflowArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getNetflow:getNetflow
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getNetflow Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Netflow Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Netflow Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Netflow Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Netflow Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Netflow Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetNetflowItem
- Collector
Ip string - The IPv4 address of the NetFlow collector.
- Collector
Port int - The port that the NetFlow collector will be listening on.
- Eta
Dst intPort - The port that the Encrypted Traffic Analytics collector will be listening on.
- Eta
Enabled bool - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- Reporting
Enabled bool - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
- Collector
Ip string - The IPv4 address of the NetFlow collector.
- Collector
Port int - The port that the NetFlow collector will be listening on.
- Eta
Dst intPort - The port that the Encrypted Traffic Analytics collector will be listening on.
- Eta
Enabled bool - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- Reporting
Enabled bool - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
- collector
Ip String - The IPv4 address of the NetFlow collector.
- collector
Port Integer - The port that the NetFlow collector will be listening on.
- eta
Dst IntegerPort - The port that the Encrypted Traffic Analytics collector will be listening on.
- eta
Enabled Boolean - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- reporting
Enabled Boolean - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
- collector
Ip string - The IPv4 address of the NetFlow collector.
- collector
Port number - The port that the NetFlow collector will be listening on.
- eta
Dst numberPort - The port that the Encrypted Traffic Analytics collector will be listening on.
- eta
Enabled boolean - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- reporting
Enabled boolean - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
- collector_
ip str - The IPv4 address of the NetFlow collector.
- collector_
port int - The port that the NetFlow collector will be listening on.
- eta_
dst_ intport - The port that the Encrypted Traffic Analytics collector will be listening on.
- eta_
enabled bool - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- reporting_
enabled bool - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
- collector
Ip String - The IPv4 address of the NetFlow collector.
- collector
Port Number - The port that the NetFlow collector will be listening on.
- eta
Dst NumberPort - The port that the Encrypted Traffic Analytics collector will be listening on.
- eta
Enabled Boolean - Boolean indicating whether Encrypted Traffic Analytics is enabled (true) or disabled (false).
- reporting
Enabled Boolean - Boolean indicating whether NetFlow traffic reporting is enabled (true) or disabled (false).
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
